---
title: Find Deployments
description: Find deployments by project and chat IDs. This will return a list of deployments for the given project and chat IDs.
docs_index: /docs/llms.txt
lastUpdated: 2026-11-21
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Find deployments by project and chat IDs. This will return a list of deployments for the given project and chat IDs.

#### `GET /v1/deployments`

> **Deprecated**: This method is deprecated. Use [Get Chat](/docs/api/v1/reference/chats/get-by-id) to read the chat's `vercelProjectId`, then use the [Vercel API](https://docs.vercel.com/docs/rest-api/reference/endpoints/deployments/list-deployments) to find deployments for that project.

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.deployments.find({
  chatId: '123',
  versionId: '123',
})

console.log(result)
```

```bash
curl -X GET https://api.v0.dev/v1/deployments   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "chatId": "123",
    "versionId": "123"
  }'
```

## API Signature

### Request

#### Query Parameters

- `projectId?: string` **Deprecated.** The ID of the project to find deployments for
- `chatId: string` The ID of the chat to find deployments for
- `versionId: string` The ID of the version to find deployments for

### Response

- `object: 'list'`
- `data: object[]`
  - `item: object`
    - `id?: string` A unique identifier for the deployment.
    - `object?: 'deployment'` Fixed value identifying this object as a deployment.
    - `inspectorUrl?: string` URL to the deployment inspector.
    - `chatId?: string` The ID of the chat that this deployment is scoped to.
    - `projectId?: string` **Deprecated.** The ID of the project that this deployment is scoped to.
    - `versionId?: string` The ID of the version that this deployment is scoped to.
    - `apiUrl?: string` The API endpoint URL for accessing this deployment programmatically.
    - `webUrl?: string` The web URL where the deployment can be viewed or managed.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)